Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.usermgmt.servlets.jsp.taglib
Class GetPropertyAsStringTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
                  |
                  +--com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
                        |
                        +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetPropertyTag
                              |
                              +--com.bea.p13n.usermgmt.servlets.jsp.taglib.GetPropertyAsStringTag

public class GetPropertyAsStringTag
extends GetPropertyTag

Corresponds to `<um:getPropertyAsString>`.

The `<um:getPropertyAsString>` tag works exactly like the <um:getProperty> tag, but ensures that the retrieved property value is a `java.util.String`.

Tag Attribute | Required | Type | Description
propertySet | no | String | The Property Set from which the property's value is to be retrieved. Example: "Demo Portal" Note: If no property set is provided, the property is retrieved from the profile's default (unscoped) properties.
propertyName | yes | String | The name of the property to be retrieved. Example: "background_color"
id | no | String | If the `id` attribute is supplied, the value of the retrieved property will be available in the variable name to which id is assigned. Otherwise, the value of the property is inlined into the JSP page.

See Also:
  `com.beasys.commerce.user.jsp.tags.GetPropertyTag`, Serialized Form

Fields inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`GROUP_MGR_REF, USER_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetPropertyAsStringTag()`

Method Summary
`protected java.lang.Object` | `getProperty()` Retrieves the property as a string.

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.GetPropertyTag
`doStartTag`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.PropertyTag
`getPropertyName, getPropertySet, release, setPropertyName, setPropertySet`

Methods inherited from class com.bea.p13n.usermgmt.servlets.jsp.taglib.UserManagementTag
`getGroupManager, getUserManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertyAsStringTag

    public GetPropertyAsStringTag()

Method Detail

### getProperty

    protected java.lang.Object getProperty()
                                    throws javax.servlet.jsp.JspException

  Retrieves the property as a string.

  Overrides:
    getProperty in class GetPropertyTag

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved